diff --git a/package.json b/package.json
index 88321d7..88c8607 100644
--- a/package.json
+++ b/package.json
@@ -54,7 +54,6 @@
     "js-sha3": "^0.8.0",
     "jssha": "^3.2.0",
     "lodash": "^4.17.21",
-    "read-bigint": "^0.1.6",
     "ws": "7.2.3"
   },
   "devDependencies": {
diff --git a/src/onchain_events/index.ts b/src/onchain_events/index.ts
index ba9a710..4a306b6 100644
--- a/src/onchain_events/index.ts
+++ b/src/onchain_events/index.ts
@@ -1,4 +1,3 @@
-import { readBigUInt64LE } from "read-bigint";
 import { arrayify, BytesLike } from '@ethersproject/bytes';
 import {
   AccountAddress,
@@ -149,13 +148,11 @@ export function decodeEventKey(
   const bytes = arrayify(eventKey);
   if (bytes.byteLength !== EVENT_KEY_LENGTH) {
     throw new Error(
-      `invalid eventkey data, expect byte length to be ${EVENT_KEY_LENGTH}, actual: ${bytes.byteLength}`
+      `invalid eventkey data, expect byte length to be ${ EVENT_KEY_LENGTH }, actual: ${ bytes.byteLength }`
     );
   }
   const saltBytes = bytes.slice(0, EVENT_KEY_LENGTH - ACCOUNT_ADDRESS_LENGTH);
-  const buff = Buffer.from(saltBytes);
-  // const salt = buff.readBigUInt64LE();
-  const salt = readBigUInt64LE(buff);
+  const salt = Buffer.from(saltBytes).readBigUInt64LE();
   const addressBytes = bytes.slice(EVENT_KEY_LENGTH - ACCOUNT_ADDRESS_LENGTH);
   const address = toHexString(addressBytes);
   return { address, salt };
diff --git a/yarn.lock b/yarn.lock
index 42c21e9..0e4cf47 100644
--- a/yarn.lock
+++ b/yarn.lock
@@ -6469,11 +6469,6 @@ react-is@^17.0.1:
   resolved "https://registry.npm.taobao.org/react-is/download/react-is-17.0.2.tgz"
   integrity "sha1-5pHUqOnHiTZWVVOas3J2Kw77VPA= sha512-w2GsyukL62IJnlaff/nRegPQR94C/XXamvMWmSHRJ4y7Ts/4ocGRmTHvOs8PSE6pB3dWOrD/nueuU5sduBsQ4w=="
 
-read-bigint@^0.1.6:
-  version "0.1.6"
-  resolved "https://registry.npmjs.org/read-bigint/-/read-bigint-0.1.6.tgz#451fdb5ef5a9bb425fba1f92511038e2a54e5f26"
-  integrity sha512-WHfCMBWes972LRSGYb1/mTW6yy83DQ28Lj94TfVM1HIhFf2I7Di09bUoc8+pPsx4JXgEge2r0d9y+7lj6x3j4g==
-
 read-pkg-up@^2.0.0:
   version "2.0.0"
   resolved "https://registry.npm.taobao.org/read-pkg-up/download/read-pkg-up-2.0.0.tgz"
